BaseLogParser (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.product.logparse.BaseLogParser class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product.logparse
Class BaseLogParser

    java.lang.Object
      org.hyperic.hq.product.logparse.BaseLogParser

All Implemented Interfaces:
  LogParseInterface

Direct Known Subclasses:
  LogParse, SimpleLogParser

    public abstract class BaseLogParser

extends java.lang.Object
implements LogParseInterface

Field Summary
`protected java.lang.Integer` | `id`
`protected org.apache.commons.logging.Log` | `log`
`protected java.util.ArrayList` | `StatusDontLog`
`protected int` | `svcType`
`protected double` | `timeMultiplier`
`protected java.util.ArrayList` | `URLDontLog`

Constructor Summary
`BaseLogParser()`

Method Summary
`void` | `DontLog(java.lang.Long stat)`
`void` | `DontLog(java.lang.String url)`
`double` | `getTimeMultiplier()`
`abstract void` | `initConfig(double timeMultiplier, java.lang.String regex)`
`java.util.Hashtable` | `parseLog(java.io.File f, java.lang.String re, long len, java.lang.Integer ID, int svcType, long[] parsedlen, boolean collectIPs)`
`java.util.Hashtable` | `parseLog(java.lang.String fname, java.lang.String re, java.lang.Integer ID, boolean collectIPs)`
`java.util.Hashtable` | `parseLog(java.lang.String fname, java.lang.String re, java.lang.Integer ID, int svcType, boolean collectIPs)`
`java.util.Hashtable` | `parseLog(java.lang.String fname, java.lang.String re, long len, java.lang.Integer ID, boolean collectIPs)`
`java.util.Hashtable` | `parseLog(java.lang.String fname, java.lang.String re, long len, java.lang.Integer ID, int svcType, long[] parsedlen, boolean collectIPs)`
`void` | `postFileParse(java.io.File f)`
`void` | `setTimeMultiplier(double mult)`
`void` | `urlDontLog(java.util.ArrayList urls)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hyperic.hq.product.logparse.LogParseInterface
`parseLine`

Field Detail

### StatusDontLog

    protected java.util.ArrayList StatusDontLog

### URLDontLog

    protected java.util.ArrayList URLDontLog

### timeMultiplier

    protected double timeMultiplier

### log

    protected org.apache.commons.logging.Log log

### id

    protected java.lang.Integer id

### svcType

    protected int svcType

Constructor Detail

### BaseLogParser

    public BaseLogParser()

Method Detail

### initConfig

    public abstract void initConfig(double timeMultiplier,
                                    java.lang.String regex)

  Specified by:
    `initConfig` in interface `LogParseInterface`

### parseLog

    public java.util.Hashtable parseLog(java.lang.String fname,
                                        java.lang.String re,
                                        java.lang.Integer ID,
                                        boolean collectIPs)
                                 throws java.io.IOException

  Specified by:
    `parseLog` in interface `LogParseInterface`
  Throws:
    `java.io.IOException`

### parseLog

    public java.util.Hashtable parseLog(java.lang.String fname,
                                        java.lang.String re,
                                        java.lang.Integer ID,
                                        int svcType,
                                        boolean collectIPs)
                                 throws java.io.IOException

  Specified by:
    `parseLog` in interface `LogParseInterface`
  Throws:
    `java.io.IOException`

### parseLog

    public java.util.Hashtable parseLog(java.lang.String fname,
                                        java.lang.String re,
                                        long len,
                                        java.lang.Integer ID,
                                        boolean collectIPs)
                                 throws java.io.IOException

  Specified by:
    `parseLog` in interface `LogParseInterface`
  Throws:
    `java.io.IOException`

### parseLog

    public java.util.Hashtable parseLog(java.lang.String fname,
                                        java.lang.String re,
                                        long len,
                                        java.lang.Integer ID,
                                        int svcType,
                                        long[] parsedlen,
                                        boolean collectIPs)
                                 throws java.io.IOException

  Specified by:
    `parseLog` in interface `LogParseInterface`
  Throws:
    `java.io.IOException`

### parseLog

    public java.util.Hashtable parseLog(java.io.File f,
                                        java.lang.String re,
                                        long len,
                                        java.lang.Integer ID,
                                        int svcType,
                                        long[] parsedlen,
                                        boolean collectIPs)
                                 throws java.io.IOException

  Specified by:
    `parseLog` in interface `LogParseInterface`
  Returns:
    If collecting IPs, this is a Hashtable of "ip:url" -> RtStat summary objects. If not collecting IPs, then the keys are just the urls, without the "ip:"
  Throws:
    `java.io.IOException`

### setTimeMultiplier

    public void setTimeMultiplier(double mult)

  Specified by:
    `setTimeMultiplier` in interface `LogParseInterface`

### getTimeMultiplier

    public double getTimeMultiplier()

  Specified by:
    `getTimeMultiplier` in interface `LogParseInterface`

### DontLog

    public void DontLog(java.lang.Long stat)

  Specified by:
    `DontLog` in interface `LogParseInterface`

### DontLog

    public void DontLog(java.lang.String url)

  Specified by:
    `DontLog` in interface `LogParseInterface`

### urlDontLog

    public void urlDontLog(java.util.ArrayList urls)

  Specified by:
    `urlDontLog` in interface `LogParseInterface`

### postFileParse

    public void postFileParse(java.io.File f)
                       throws java.io.IOException

  Specified by:
    `postFileParse` in interface `LogParseInterface`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.